Cabal --builddir

Johan Tibell johan.tibell at
Wed Feb 25 06:26:23 EST 2009

On Wed, Feb 25, 2009 at 11:58 AM, Neil Mitchell <ndmitchell at> wrote:
>> Really of course we should notice this earlier and complain that we
>> cannot use this new feature while using the older lib version. We should
>> file a ticket about that. In fact the whole issue with what the Setup
>> command line must accept is a tricky issue when it comes to working with
>> custom build systems.
> Meh. Custom build scripts are brittle and evil - in my particular case
> the custom build script was trivial so adding build-type:Simple fixes
> everything. However, I'd like to know (before I push a change) that
> build-type:Simple will work out the box with the Cabal that got
> installed with ghc-6.8.3. So that means figuring out what Cabal
> ghc-6.8.3 shipped with, and which Cabal can cope with
> build-type:Simple - is there any way to figure that out in general,
> and what is the answer in this specific case?

It would be nice if the user guide specified in which Cabal version a
field was first introduced.

Aside: I often wish that Haskell libraries specified the library
version in which a function was added. Python does this for their
library APIs. It would be very helpful in figuring out the lower
bounds when specifying library dependencies. I guess it would be
possible to write a tool that extracts this information.

Also, does the user guide specify how Cabal handles unknown fields?



More information about the cabal-devel mailing list